Subject: Re: -mno-cygwin question
From: Earnie Boyd <[email-masked]>
To: [email-masked], Paul Garceau <[email-masked]>
Cc: cygwin Mailing <[email-masked]>, [email-masked]
Date: Wed, 4 Oct 2000 07:24:46 -0700 (PDT)

--- Tilman Utz <[email-masked]> wrote:
> Trying to give more information.
> You wrote:"In terms of writing programs which do not need the cygwin.dll,
> that is what mingw is all about."
> My problem about this was: Of the library I need I just had the headers,
> some .cpp and a configure script, which created the makefiles (The name of
> the library is GiNaC, a lib for symbolic computation, see  www.ginac.de
> for more information and if this is of any interest). As I somewhere read
> that "porting ``Unix-type'' code is not necessarily trivial." I decided to
> stick to cygwin 'cause it provided the POSIX functionality. 

If you need POSIX, you can't use -mno-cygwin.

> I hoped the
> -mno-cygwin flag would allow to build cygwin.dll independent executables
> (The institute I work for just uses WinNT...). 

What is the reason for Non-Cygwin executables.

> Unfortunately I didn't read
> or understand the HowTo I wrote of in my last mail (
> http://www.xraylith.wisc.edu/~khan/software/gnu-win32/mno-cygwin-howto.txt
> ).
> The author describes that one needs the mingw headers and libs to use the
> -mno-cygwin and, well, it seems, I don't have these because I built the
> library with the cygwin gcc. 

Well, yes you do.  They are provided in the gcc/binutils distributions.

> Unfortunately no workaround was given in the
> HowTo so does anyone else have an idea how to make it work anyway.
> eg would it be worth trying to build the whole library with the flag, or
> should I better switch to Mingw32 (If yes has anybody information about
> porting from POSIX to winpaths etc) 

It is a lot of work and is the reason Cygwin was created.

> or UWIN.
> 

Don't know anything about UWIN but you might try http://pw32.sourceforge.net if
your opposed to including Cygwin in your executables.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Photos - 35mm Quality Prints, Now Get 15 Free!
http://photos.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]